#include <avr/io.h>
#include <stdio.h>
#include <stdint.h>

int main(void)
{
  const int8_t min = 1, max = 100;
  int8_t x = 130;
	
  if((x >= min) && (x <= max))
  {
    printf("cislo %i splnule rozsah %i az %i\n", x, min, max);
  }
  else if(x < min)
  {
	x = min;
    printf("cislo bylo prilis nizke a bylo upraveno na %i\n", x);
  }
  else
  {
    x = max;
	printf("cislo bylo prilis vysoke a bylo upraveno na %i\n", x);
  }
	
  while (1)
  {
  }
}